query devopsAdoptionSegments($parentNamespaceId: NamespaceID, $directDescendantsOnly: Boolean) {
  devopsAdoptionSegments(
    parentNamespaceId: $parentNamespaceId
    directDescendantsOnly: $directDescendantsOnly
  ) {
    nodes {
      id
      latestSnapshot {
        issueOpened
        mergeRequestOpened
        mergeRequestApproved
        runnerConfigured
        pipelineSucceeded
        deploySucceeded
        securityScanSucceeded
        recordedAt
        codeOwnersUsedCount
      }
      namespace {
        fullName
        id
      }
    }
  }
}
